require 'spec_helper'

describe Qunar::Rank do
  sample = Qunar::Rank.new('beijing_city_2933')
  p sample.rooms
  #The screen shot
  sample.screen_shot
  it "has 7 rooms" do
    # when directly check the hash object the Chinese charactervalue is saved as format like "\u6807\u51C6\u53CC\u5E8A\u623F", it is not been parsed here, so it is not equal to chinese charactor, it's just a sequnce of coding,it needs to be parse,then it could show as Chinese character.
    # room = {"room_type" => "\u6807\u51C6\u53CC\u5E8A\u623F", "ota" => "\u827A\u9F99\u65C5\u884C\u7F51", "bookable" => "\u9884\u8BA2", "insurance" => true, "coupon" => "0", "prepay" => false, "price" => "918", "neat_price" => "918"}
    expect(sample.rooms.size).to eq 7
  end

  it "first room names '标准双床房'" do 
    expect(sample.rooms.first[:room_type]).to eq '标准双床房'
  end

  it "second room names '标准大床房'" do 
    expect(sample.rooms[1][:room_type]).to eq '标准大床房'
  end



  it "has 20 otas for the first room type '标准双床房'" do 
    expect(sample.rooms.first[:otas].size).to eq 20
  end

  it "has 20 otas for the second room type '标准大床房'" do 
    expect(sample.rooms[1][:otas].size).to eq 20
  end 


  it "first ota of first roomtype names '艺龙旅行网'" do
    #puts subject.rooms.first['otas'].first['ota']
    expect(sample.rooms.first[:otas].first[:ota]).to eq '艺龙旅行网'
  end


  it "first ota of second roomtype names Expedia" do
    #puts subject.rooms.first['otas'].first['ota']
    expect(sample.rooms[1][:otas].first[:ota]).to eq 'Booking.com'
  end

  it "first ota of first roomtype is bookable" do
    expect(sample.rooms.first[:otas].first[:bookable]).to eq true
  end

  it "last ota of first roomtype is not bookable" do
    expect(sample.rooms.first[:otas][-1][:bookable]).to eq false
  end


  it "first ota of first roomtype need insurance" do
    expect(sample.rooms.first[:otas].first[:safe]).to eq true
  end

  it "second ota of first roomtype not need insurance" do
    expect(sample.rooms.first[:otas][1][:safe]).to eq false
  end

  it "first ota of first roomtype coupon is 0" do
    expect(sample.rooms.first[:otas].first[:coupon]).to eq 0
  end

  it "first ota of first roomtype need prepay" do
    expect(sample.rooms.first[:otas][2][:prepay]).to eq true
  end

  it "second ota of first roomtype not need prepay" do
    expect(sample.rooms.first[:otas][1][:prepay]).to eq false
  end

  it "first ota of first roomtype price" do
    expect(sample.rooms.first[:otas].first[:original_price]).to eq 918
  end

  it "fifth ota of first roomtype price" do
    expect(sample.rooms.first[:otas][4][:original_price]).to eq 638
  end

  it "first ota of first roomtype neat_price" do
    expect(sample.rooms.first[:otas].first[:final_price]).to eq 918
  end

  it "sixth ota of first roomtype neat_price" do
    #puts subject.rooms.first['otas'][5]['neat_price']
    expect(sample.rooms.first[:otas][4][:final_price]).to eq 734
  end
  
end
